[Q] Would it be possible to make an app that launches 2.5 from 2.1?

Discussion in '3DS - Homebrew Development and Emulators' started by LeifEricson, Oct 29, 2015.

  1. LeifEricson
    OP

    LeifEricson Coming Soon™

    Member
    213
    165
    Jun 22, 2012
    United States
    New York, USA
    This might be a stupid question.

    I'm wondering for those of us that have to use oothax, which has trouble loading the 2.5 payload currently. If HBL while running *hax 2.1 can be used to launch an installer for *hax 2.5, couldn't one make an app that just launches the HBL for 2.5? Or does it not work like that?
     
  2. liljon042

    liljon042 GBAtemp Regular

    Member
    142
    59
    Oct 26, 2015
    United States
    Unless somebody's made an app for this, then no. You can have two different launchers though. You can probably use themehax for 2.5. Only problem is no themes, so if you can handle no themes, then use themehax
     
  3. Ammako

    Ammako GBAtemp Guru

    Member
    6,406
    3,540
    Dec 22, 2009
    Canada
    To switch between 2.1 and 2.5, you would have to execute the payload again, and I don't think the payload can just be executed like that on its own, can it?
    If we can execute the payloads like that on their own after having executed one already, then this might be possible. If not, not possible.

    There is a way to have custom themes with ThemeHax, it is a bit hit-and-miss however.
     
  4. LeifEricson
    OP

    LeifEricson Coming Soon™

    Member
    213
    165
    Jun 22, 2012
    United States
    New York, USA
    I'm just asking on behalf of my friend who updated to 10.2 without another entry point. I have OoT and I wanted to know if it was possible to get him running on 2.5.
     
  5. liljon042

    liljon042 GBAtemp Regular

    Member
    142
    59
    Oct 26, 2015
    United States
    OoT is VERY spotty on 2.5. You can install 2.1 on OoThax then use 2.5 with another entrypoint. Also themehax does not support 10.2 if I remember correctly